# Get ratecard for payment method

get ` https://app.mk.io/api/v1/organization/paymentMethods/:paymentmethod_id/rateCard`

Returns ratecard information for the specified payment method.

RBAC Capability Required: `core.subscription.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

- **paymentmethod_id**: string Required format: uuid

## Response

### 200 OK

- **kind**: string Optional
  - The type of the resource.

- **metadata**: object [RateCardMetadata](https://docs.mediakind.com/api-reference/management-api/schemas/ratecardmetadata) Required
  - Metadata pertaining to creation and last modification of the resource.

- **isPrivateOffer**: boolean Required
      - Whether this rate card is a private offer to be used by one customer only.
    - **paymentMethodId**: string Required format: uuid
      - Unique ID for this Payment Method.
    - **productPublicationId**: string Required format: uuid
      - Unique ID for this Rate Card.
    - **productPublicationName**: string Required
      - Name of this Rate Card.

- **spec**: object [RateCardSpec](https://docs.mediakind.com/api-reference/management-api/schemas/ratecardspec) Required
  - The rate card specification.

- **currency**: string Required
      - The currency for the prices in the rate card.
    - **rateCard**: list of objects [RateCardEntrySchema](https://docs.mediakind.com/api-reference/management-api/schemas/ratecardentryschema) Required
      - Rate card for this payment method.

- **family**: string Required
        - The family of the rate card entry.
      - **prices**: list of objects [RateCardPriceSchema](https://docs.mediakind.com/api-reference/management-api/schemas/ratecardpriceschema) Required
        - A list of meter prices associated with family and solution.

- **displayName**: string or null Required
          - The display name of the meter.
        - **locationPrices**: list of objects [RateCardLocationPriceSchema](https://docs.mediakind.com/api-reference/management-api/schemas/ratecardlocationpriceschema) Optional
          - The price per unit for the meter for individual locations.

- **locationGroup**: string Required
            - The name of the location group.
          - **price**: double Required
            - The price per unit for the meter.
          - **sku**: string or null Required
            - The SKU identifier for the meter.

- **name**: string Required
        - Meter name.
      - **price**: double Required
        - The price per unit for the meter.
      - **sku**: string or null Required
        - The SKU identifier for the meter.
      - **unit**: string or null Required
        - The unit of measurement for the meter.
      - **solution**: string Required
        - The solution associated with the rate card entry.

## Errors

### 400 Bad Request

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error

- **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
    - Extra information regarding this error.
    - [any key] any
  - **ref**: string Required
    - A reference to the request that caused the error.
  - **status**: integer Required
    - The HTTP status code

### 401 Unauthorized

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error

### 403 Forbidden

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error

### 404 Not Found

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error

### 429 Too Many Requests

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error

### 500 Internal Server Error

- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - Pertinent information about the error
